#version 400 core

layout(vertices = 4) out;

const vec3 vertices[4] = vec3[4](
	vec3(-0.5, -0.5, 0.0),
	vec3( 0.5, -0.5, 0.0),
	vec3( 0.5,  0.5, 0.0),
	vec3(-0.5,  0.5, 0.0));

out vec3 vertex[];

uniform float TessLevelInner[2];
uniform float TessLevelOuter[4];

//----------------------------------------------------------------

void main()
{
	vertex[gl_InvocationID] = vertices[gl_InvocationID];

	gl_TessLevelInner[0] = TessLevelInner[0];
	gl_TessLevelInner[1] = TessLevelInner[1];
	
	gl_TessLevelOuter[0] = TessLevelOuter[0];
	gl_TessLevelOuter[1] = TessLevelOuter[1];
	gl_TessLevelOuter[2] = TessLevelOuter[2];
	gl_TessLevelOuter[3] = TessLevelOuter[3];
}